<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.4.13
  $Source$
  $Revision: 3837 $
  $Author: gaugau $
  $Date: 2007-08-16 18:56:06 +0200 (Do, 16 Aug 2007) $
**********************************************/
/***********************************************
News Bulletin
*************************************************
Plugin by just_some_guy - mysimtractor.com
**************************************************
Generate RSS feed artitcles for your gallery.
Manage your news bulletins with the news manager.
Create an expandable news section in your gallery.
***************************************************
10/11/07 - 08:34
**************************************************/


require('plugins/News_Bulletin/include/init.inc.php');

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add an install action
$thisplugin->add_action('plugin_install','news_install');

// Add a configure action
$thisplugin->add_action('plugin_configure','news_configure');

// Add a filter for the gallery header
$thisplugin->add_action('page_start','news_page_start');

$thisplugin->add_filter('plugin_block','news');

$thisplugin->add_filter('gallery_header','news_header');

function news($html)
{   
global $CONFIG, $matches ;

		if($matches[1] != 'news') {
          return $matches;
        }



if ((include 'plugins/News_Bulletin/news.php') == 'OK') {
   include ('plugins/News_Bulletin/news.php');
}



}


// Sample function to modify gallery header html
function news_header($html) {
    global $thisplugin;
    $return = '<link rel="alternate" type="application/rss+xml" title="News Bulletins" href="index.php?file=News_Bulletin/news_rss" />'.$html;
    return $return;
}



// Install function
function news_install() {

    // Install
    // Install
   if ($_POST['submit'] == 'submit') {

        return true;

    // Loop again
    } else {

        return 1;
    }
}

// Configure function
// Displays the form
function news_configure() {
    echo <<< EOT

    <form action="{$_SERVER['REQUEST_URI']}" method="post">
Click to install
                  <input id="submit" name="submit" type="submit" value="submit" />
               
    </form>
EOT;
}

function news_config_button($href,$title,$target,$link)
{
global $CONFIG, $lang_plugin_news;
  global $template_gallery_admin_menu;

  $new_template = $template_gallery_admin_menu;
  $button = template_extract_block($new_template,'documentation');
  $params = array(
      '{DOCUMENTATION_HREF}' => $href,
      '{DOCUMENTATION_TITLE}' => $title,
      'target="cpg_documentation"' => $target,
      '{DOCUMENTATION_LNK}' => $link,
   );
   $new_button="<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->
";
   template_extract_block($template_gallery_admin_menu,'documentation',"<!-- BEGIN documentation -->" . $button . "<!-- END documentation -->
" . $new_button);
}
// add admin button to start of each page
function news_page_start()
{
	global $CONFIG, $lang_plugin_news;
	
	

	if (GALLERY_ADMIN_MODE) {
		news_config_button('index.php?file=News_Bulletin/plugin_admin',"News Manager",'',"News Manager");
	}

}
?>

